/**
 * CheckAcount extedinf Account and implementing some interface
 */
public class CheckedAccount extends Account implements Foo
{
    private int minBalance; // minimalni zustatek na uctu
    
    public CheckedAccount(int balance, int minBalance) {
       super(balance); // musime volat nektery konstruktor v nadride
       this.minBalance = minBalance;
    }
    
    public CheckedAccount() {
       //super(0); 
       this(0, 0); // pokud bude chyber, automaticky se zavola bezparametricky kontruktor v nadtire (musi tam byt)
    }

    public double withdraw(double amount) {
        if (getBalance() - amount >= minBalance) {
            super.withdraw(amount); // volani kodu z nadtridy
        }
        return getBalance();
    }
}
